> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getnimbus.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get historical APY data for a specific vault



## OpenAPI

````yaml /api-reference/openapi.json get /v2/farming/{id}/apy-historical
openapi: 3.0.0
info:
  title: Nimbus API
  version: 1.0.0
  description: >-
    API for Nimbus


    ## Rate Limiting

    This API implements rate limiting to ensure fair usage and protect our
    services. The current rate limit is:


    - **40 requests per 1 minute** per IP address


    If you exceed this limit, you will receive a 429 (Too Many Requests)
    response. Please wait for the rate limit window to reset before making
    additional requests.


    If you need more, please contact us at **thanhle@getnimbus.io** or TG
    **@thanhle27** to get premium API Key.
servers:
  - url: https://api.getnimbus.io
    description: API server
security: []
tags: []
paths:
  /v2/farming/{id}/apy-historical:
    get:
      tags:
        - Farming
      summary: Get historical APY data for a specific vault
      parameters:
        - in: path
          name: id
          required: true
          schema:
            type: string
          example: >-
            suilend-lending:0x83556891f4a0f233ce7b05cfe7f957d4020492a34f5405b2cb9377d060bef4bf::spring_sui::SPRING_SUI
          description: The ID of the vault
        - in: query
          name: chain
          required: true
          schema:
            type: string
          description: The chain of the vault
          example: SUI
      responses:
        '200':
          description: Historical APY data
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      type: object
                      properties:
                        dateKey:
                          type: string
                          format: date-time
                        apy:
                          type: number
                        tvl:
                          type: number
        '400':
          description: Missing id parameter
        '500':
          description: Server error

````